-- ====================================================
-- Author:		ALIRA.AGI
-- Create date: 2015.02.26
-- DESCRIPTION: 1. INSERT TB_T_ORDERPLAN_TMP AND TB_T_ORDERPLAN_CUT TO TB_T_ORDERPLAN_TMP_KCI AND TB_T_ORDERPLAN_TMP_NON_KCI 
--				2. EXECUTE HOLD PROCESS IF HOLD PROCESS=Y
-- ====================================================
create PROCEDURE [dbo].[SP_BULK_INSERT_DAILY_ORDER_PROCESS_backup_15_03_16]
@RCV_PLANT_CODE CHAR(1)
AS
BEGIN
	BEGIN TRY
		--BEGIN TRANSACTION
		--> VARIABLE DECLARATION
		DECLARE	@DOCK_CODE_KCI VARCHAR(200)
		DECLARE @TB_T_DOCK_CODE_KCI AS TABLE (DOC_CODE VARCHAR(2000))
		DECLARE	@BEING_PROCESS_FLAG VARCHAR(200),
				@ROW INT,
				@TODAY VARCHAR(8),
				@PROCESS_ID BIGINT,
				@CURR_NO INT,
				@LAST_PROCESS_ID VARCHAR(12),
				@FUNCTION_ID VARCHAR(20),
				@LOCATION VARCHAR(100),
				@CURR_PROCESS_ID VARCHAR(12),
				@SEQ_NO_LOG BIGINT,	
				@PROC_ID varchar(12),
				@R_RESULT_STATUS INT,
				@R_RETURN_CODE varchar,
				@RC INT,
				@NOW DATETIME,
				@MESSAGE_ID VARCHAR(12),
				@MESSAGE_TYPE VARCHAR(3), 
				@MESSAGE VARCHAR(200),
				@LAST_SEQ_NO_LOG BIGINT,
				@PO_RESULT_STATUS INT ,
				@PO_RETURN_CODE varchar(8000) 
				--@R_RESULT_STATUS INT,
				--@R_RETURN_CODE varchar
		--< VARIABLE DECLARATION
		
		--> SET MESSAGE_TYPE
		SET @MESSAGE_TYPE='MPCS00002INF'
		--< SET MESSAGE_TYPE
		
		--> SET MESSAGE_ID
		SET @MESSAGE_ID='INF'
		--< SET MESSAGE_ID
		
		--> SET FUNCTION ID
		--SET @FUNCTION_ID='NEWORP'
		--SET @FUNCTION_ID='21016'
		SET @FUNCTION_ID = CASE @RCV_PLANT_CODE WHEN 1 THEN 21008
							WHEN 4 THEN 21011
							WHEN 5 THEN 21014
							ELSE 21001 END
		--< SET FUNCTION ID
		
		--> GET DATE STRING
		SELECT @TODAY = CONVERT(VARCHAR(8), GETDATE(), 112) 
		--< GET DATE STRING
		
		--> GET LAST_PROCESS_ID
		SELECT 
					@LAST_PROCESS_ID = ISNULL(MAX(PROCESS_ID), '1') 
		FROM 
					dbo.TB_R_LOG_H
		WHERE 
					SUBSTRING(CAST(PROCESS_ID AS VARCHAR(12)), 1, 8) = @TODAY;
		--< GET LAST_PROCESS_ID
		
		-->	SET LOCATION
		SET @LOCATION = 'SPInsertDailyOrder';
		--<	SET LOCATION
		
		--> GET DOC_CODE KCI
		--> SET MESSAGE					
		SET @MESSAGE='Get DOCK_CODE KCI'
		--< SET MESSAGE
		
		--> PRINT 
		PRINT @MESSAGE
		--< PRINT
		
		--> LOG
		IF @LAST_PROCESS_ID = '1'
			BEGIN
				set @CURR_NO = 1;
			END
		ELSE
			BEGIN
				set @CURR_NO = CAST(SUBSTRING(@LAST_PROCESS_ID,9,LEN(@LAST_PROCESS_ID)) AS INT) + 1;
			END
		SET @CURR_PROCESS_ID = RIGHT(REPLICATE('0', 4)+ CAST(@CURR_NO AS VARCHAR(4)), 4);
		SET @PROC_ID = @TODAY + @CURR_PROCESS_ID;
		SET @PROCESS_ID = CAST(@PROC_ID AS BIGINT)+1;
		SET @NOW = SYSDATETIME();				
		EXEC dbo.SPInsertLogHeader @PROCESS_ID, @FUNCTION_ID, 2, @NOW, @NOW, 5, 'SYSTEM';
		SET @SEQ_NO_LOG = 1;					
		EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
		--<  LOG		
		
		SELECT   @DOCK_CODE_KCI =SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID='DOCK_KCI'
		INSERT INTO @TB_T_DOCK_CODE_KCI
		EXEC dbo.SplitString @DOCK_CODE_KCI,','		
		--< GET DOC_CODE KCI

		
		--> CEK BEING PROCESS FLAG
		
		-->PRINT
		SET @MESSAGE='Cek Being Process Flag'
		PRINT @MESSAGE		
		--< PRINT
		
		--> LOG		
		SET @SEQ_NO_LOG = @SEQ_NO_LOG + 1;
		SET @MESSAGE='Cek Being Process Flag'
		EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
		--< LOG
		
		--> GET PROCESS FLAG 		
		SELECT  @BEING_PROCESS_FLAG=SYSTEM_VALUE
		FROM 
				[TB_M_SYSTEM] C
		WHERE 
				-- original line FUNCTION_ID=@FUNCTION_ID AND C.[SYSTEM_CD] LIKE '%'+LEFT(1,1)+'_PROCESS_FLAG'
				--edited line
				FUNCTION_ID=@FUNCTION_ID AND C.[SYSTEM_CD] LIKE '%'+@RCV_PLANT_CODE+'_PROCESS_FLAG'
				--end of edited line
		
		--< GET PROCESS FLAG
		
		--mark
		IF @BEING_PROCESS_FLAG='N'
		BEGIN
					--> INFO BEING_PROCESS_FLAG
					
					--> SET MESSAGE
					SET @MESSAGE='Being process flag=N'
					--> SET MESSAGE
					
					--> PRINT
					PRINT @MESSAGE
					--< PRINT
					
					--> LOG
					SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;					
					EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
					--< LOG
					
					--< INFO BEING_PROCESS_FLAG
					
					--> UPDATE PROCESS FLAG=N TO PROCESS FLAG=Y
					
					--> SET MESSAGE
					SET @MESSAGE='Update process flag=N To process flag=Y'
					--< SET MESSAGE
					
					--> PRINT
					PRINT @MESSAGE
					--< PRINT
					
					--> LOG
					SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;					
					EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
					--< LOG
					
					UPDATE [TB_M_SYSTEM] SET SYSTEM_VALUE='Y' WHERE FUNCTION_ID=@FUNCTION_ID AND [SYSTEM_CD] LIKE '%'+@RCV_PLANT_CODE+'_PROCESS_FLAG'   
					
					--> UPDATE PROCESS FLAG=N TO PROCESS FLAG=Y

					
					--> DELETE 	TB_T_ORDERPLAN_TMP_KCI AND TB_T_ORDERPLAN_TMP_NON_KCI
					
					--> SET MESSAGE
					SELECT @ROW=COUNT(*) FROM  TB_T_ORDERPLAN_TMP_KCI  WHERE RCV_PLANT_CODE=@RCV_PLANT_CODE
					SET @MESSAGE='Delete TB_T_ORDERPLAN_TMP_KCI and TB_T_ORDERPLAN_TMP_NON_KCI BY plant code ='+CAST(@RCV_PLANT_CODE AS VARCHAR(10))+','+ CAST(@ROW AS VARCHAR(100))+'row'
					PRINT @MESSAGE
					SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;					
					EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
					DELETE  FROM  TB_T_ORDERPLAN_TMP_KCI  WHERE RCV_PLANT_CODE=@RCV_PLANT_CODE 
					DELETE  FROM TB_T_ORDERPLAN_TMP_NON_KCI WHERE RCV_PLANT_CODE=@RCV_PLANT_CODE 
					--< DELETE 	TB_T_ORDERPLAN_TMP_KCI AND TB_T_ORDERPLAN_TMP_NON_KCI
					
					--> INSERT TB_T_ORDERPLAN_TMP_KCI FROM TB_T_ORDERPLAN_TMP (BULK INSERT)
					--PRINT 'INSERT TB_T_ORDERPLAN_TMP_KCI FROM TB_T_ORDERPLAN_TMP (BULK INSERT)'
					select @ROW=COUNT(*)
					FROM 
							TB_T_ORDERPLAN_TMP 
					WHERE     
							DOCK_CODE IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
							AND RCV_PLANT_CODE =@RCV_PLANT_CODE

					SET @MESSAGE='Insert into TB_T_ORDERPLAN_TMP_KCI FROM TB_T_ORDERPLAN_TMP (bulk insert) '+ CAST(@ROW AS VARCHAR(100))+' row'
					PRINT @MESSAGE
					SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
					EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
					
					INSERT INTO TB_T_ORDERPLAN_TMP_KCI
								(
									 SUPPLIER_CODE
									, SUPPLIER_PLANT
									, SHIPPING_DOCK
									, COMPANY_CODE
									, RCV_PLANT_CODE
									, DOCK_CODE
									, ORDER_NO
									, CAR_FAMILY_CODE
									, RE_EXPORT_CODE
									, PART_NO
									, KNBN_PRN_ADDRESS
									, ORDER_TYPE
									, ORDER_RELEASE_DATE
									, ORDER_RELEASE_TIME
									, KNBN_NO
									, QTY_PER_CONTAINER
									, ORDER_PLAN_QTY
									, ORDER_PLAN_QTY_LOT
									, BUILD_OUT_FLAG
									, BUILD_OUT_QTY
									, AICO_CEPT_FLAG
									, SUPPLIER_NAME
									, PARTS_NAME
									, ORDER_MODE
									, SHIPPING_DATE
									, ARRIVAL_DATE
									, MR_GRP_CODE
									, MR_ORDER_SEQ
									, MR_DATE
									, SR_GRP_CODE
									, SR_SEQ
									, SR_DATE
									, FRST_X_DOC_CODE
									, FST_X_PLANT_CODE
									, FST_X_SHIPPING_DOCK_CODE
									, FST_X_DOCK_ARRIVAL_DATE
									, FST_X_DOCK_DEPART_DATE
									, FST_X_DOCK_ROUTE_GRP_CODE
									, FST_X_DOCK_SEQ_NO
									, FST_ROUTE_DATE
									, SND_X_DOC_CODE
									, SND_X_PLANT_CODE
									, SND_X_SHIPPING_DOCK_CODE
									, SND_X_DOCK_ARRIVAL_DATE
									, SND_X_DOCK_DEPART_DATE
									, SND_X_DOCK_ROUTE_GRP_CODE
									, SND_X_DOCK_SEQ_NO
									, SND_ROUTE_DATE
									, TRD_X_DOC_CODE
									, TRD_X_PLANT_CODE
									, TRD_X_SHIPPING_DOCK_CODE
									, TRD_X_DOCK_ARRIVAL_DATE
									, TRD_X_DOCK_DEPART_DATE
									, TRD_X_DOCK_ROUTE_GRP_CODE
									, TRD_X_DOCK_SEQ_NO
									, TRD_ROUTE_DATE
									, MANIFEST_PRN_POINT_CODE
									, MANIFEST_PRN_DATE_PLANT
									, MANIFEST_PRN_DATE_LOCAL
									, KNBN_PRN_POINT_CODE
									, KNBN_PRN_DATE_PLANT
									, KNBN_PRN_DATE_LOCAL
									, CONVEYANCE_ROUTE
									, FERRY_PORT_ARRIVAL_DATE
									, FERRY_PORT_DEPART_DATE
									, STATUS_FLAG
									, CREATED_BY
									, CREATED_DT
									, FILENAME
								)
					SELECT 
							 SUPPLIER_CODE
							, SUPPLIER_PLANT
							, SHIPPING_DOCK
							, COMPANY_CODE
							, RCV_PLANT_CODE
							, DOCK_CODE
							, ORDER_NO
							, CAR_FAMILY_CODE
							, RE_EXPORT_CODE
							, PART_NO
							, KNBN_PRN_ADDRESS
							, ORDER_TYPE
							, ORDER_RELEASE_DATE
							, ORDER_RELEASE_TIME
							, KNBN_NO
							, QTY_PER_CONTAINER
							, ORDER_PLAN_QTY
							, ORDER_PLAN_QTY_LOT
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PARTS_NAME
							, ORDER_MODE
							, SHIPPING_DATE
							, ARRIVAL_DATE
							, MR_GRP_CODE
							, MR_ORDER_SEQ
							, MR_DATE
							, SR_GRP_CODE
							, SR_SEQ
							, SR_DATE
							, FRST_X_DOC_CODE
							, FST_X_PLANT_CODE
							, FST_X_SHIPPING_DOCK_CODE
							, FST_X_DOCK_ARRIVAL_DATE
							, FST_X_DOCK_DEPART_DATE
							, FST_X_DOCK_ROUTE_GRP_CODE
							, FST_X_DOCK_SEQ_NO
							, FST_ROUTE_DATE
							, SND_X_DOC_CODE
							, SND_X_PLANT_CODE
							, SND_X_SHIPPING_DOCK_CODE
							, SND_X_DOCK_ARRIVAL_DATE
							, SND_X_DOCK_DEPART_DATE
							, SND_X_DOCK_ROUTE_GRP_CODE
							, SND_X_DOCK_SEQ_NO
							, SND_ROUTE_DATE
							, TRD_X_DOC_CODE
							, TRD_X_PLANT_CODE
							, TRD_X_SHIPPING_DOCK_CODE
							, TRD_X_DOCK_ARRIVAL_DATE
							, TRD_X_DOCK_DEPART_DATE
							, TRD_X_DOCK_ROUTE_GRP_CODE
							, TRD_X_DOCK_SEQ_NO
							, TRD_ROUTE_DATE
							, MANIFEST_PRN_POINT_CODE
							, MANIFEST_PRN_DATE_PLANT
							, MANIFEST_PRN_DATE_LOCAL
							, KNBN_PRN_POINT_CODE
							, KNBN_PRN_DATE_PLANT
							, KNBN_PRN_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DATE
							, FERRY_PORT_DEPART_DATE
							, STATUS_FLAG
							, CREATED_BY
							, CREATED_DT
							, FILENAME 
					FROM 
							TB_T_ORDERPLAN_TMP 
					WHERE     
							DOCK_CODE IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
							AND RCV_PLANT_CODE =@RCV_PLANT_CODE
							

					--<	INSERT TB_T_ORDERPLAN_TMP_KCI FROM TB_T_ORDERPLAN_TMP (BULK INSERT)			
					
					-->	INSERT TB_T_ORDERPLAN_TMP_NON_KCI FROM TB_T_ORDERPLAN_TMP (BULK INSERT)
					--PRINT 'INSERT TB_T_ORDERPLAN_TMP_NON_KCI FROM TB_T_ORDERPLAN_TMP (BULK INSERT)IF EXIST'							
					SELECT @ROW=COUNT(*) 
					FROM 
							TB_T_ORDERPLAN_TMP 
					WHERE     
							DOCK_CODE IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
							AND RCV_PLANT_CODE = @RCV_PLANT_CODE
					
					SET @MESSAGE='Insert into TB_T_ORDERPLAN_TMP_NON_KCI FROM TB_T_ORDERPLAN_TMP (bulk insert)'+ CAST(@ROW AS VARCHAR(100))+' row'
					PRINT @MESSAGE
					SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
					EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
					
					

					INSERT INTO TB_T_ORDERPLAN_TMP_NON_KCI
							(
									 SUPPLIER_CODE
									, SUPPLIER_PLANT
									, SHIPPING_DOCK
									, COMPANY_CODE
									, RCV_PLANT_CODE
									, DOCK_CODE
									, ORDER_NO
									, CAR_FAMILY_CODE
									, RE_EXPORT_CODE
									, PART_NO
									, KNBN_PRN_ADDRESS
									, ORDER_TYPE
									, ORDER_RELEASE_DATE
									, ORDER_RELEASE_TIME
									, KNBN_NO
									, QTY_PER_CONTAINER
									, ORDER_PLAN_QTY
									, ORDER_PLAN_QTY_LOT
									, BUILD_OUT_FLAG
									, BUILD_OUT_QTY
									, AICO_CEPT_FLAG
									, SUPPLIER_NAME
									, PARTS_NAME
									, ORDER_MODE
									, SHIPPING_DATE
									, ARRIVAL_DATE
									, MR_GRP_CODE
									, MR_ORDER_SEQ
									, MR_DATE
									, SR_GRP_CODE
									, SR_SEQ
									, SR_DATE
									, FRST_X_DOC_CODE
									, FST_X_PLANT_CODE
									, FST_X_SHIPPING_DOCK_CODE
									, FST_X_DOCK_ARRIVAL_DATE
									, FST_X_DOCK_DEPART_DATE
									, FST_X_DOCK_ROUTE_GRP_CODE
									, FST_X_DOCK_SEQ_NO
									, FST_ROUTE_DATE
									, SND_X_DOC_CODE
									, SND_X_PLANT_CODE
									, SND_X_SHIPPING_DOCK_CODE
									, SND_X_DOCK_ARRIVAL_DATE
									, SND_X_DOCK_DEPART_DATE
									, SND_X_DOCK_ROUTE_GRP_CODE
									, SND_X_DOCK_SEQ_NO
									, SND_ROUTE_DATE
									, TRD_X_DOC_CODE
									, TRD_X_PLANT_CODE
									, TRD_X_SHIPPING_DOCK_CODE
									, TRD_X_DOCK_ARRIVAL_DATE
									, TRD_X_DOCK_DEPART_DATE
									, TRD_X_DOCK_ROUTE_GRP_CODE
									, TRD_X_DOCK_SEQ_NO
									, TRD_ROUTE_DATE
									, MANIFEST_PRN_POINT_CODE
									, MANIFEST_PRN_DATE_PLANT
									, MANIFEST_PRN_DATE_LOCAL
									, KNBN_PRN_POINT_CODE
									, KNBN_PRN_DATE_PLANT
									, KNBN_PRN_DATE_LOCAL
									, CONVEYANCE_ROUTE
									, FERRY_PORT_ARRIVAL_DATE
									, FERRY_PORT_DEPART_DATE
									, STATUS_FLAG
									, CREATED_BY
									, CREATED_DT
									, FILENAME
							)
					SELECT 
							  SUPPLIER_CODE
							, SUPPLIER_PLANT
							, SHIPPING_DOCK
							, COMPANY_CODE
							, RCV_PLANT_CODE
							, DOCK_CODE
							, ORDER_NO
							, CAR_FAMILY_CODE
							, RE_EXPORT_CODE
							, PART_NO
							, KNBN_PRN_ADDRESS
							, ORDER_TYPE
							, ORDER_RELEASE_DATE
							, ORDER_RELEASE_TIME
							, KNBN_NO
							, QTY_PER_CONTAINER
							, ORDER_PLAN_QTY
							, ORDER_PLAN_QTY_LOT
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PARTS_NAME
							, ORDER_MODE
							, SHIPPING_DATE
							, ARRIVAL_DATE
							, MR_GRP_CODE
							, MR_ORDER_SEQ
							, MR_DATE
							, SR_GRP_CODE
							, SR_SEQ
							, SR_DATE
							, FRST_X_DOC_CODE
							, FST_X_PLANT_CODE
							, FST_X_SHIPPING_DOCK_CODE
							, FST_X_DOCK_ARRIVAL_DATE
							, FST_X_DOCK_DEPART_DATE
							, FST_X_DOCK_ROUTE_GRP_CODE
							, FST_X_DOCK_SEQ_NO
							, FST_ROUTE_DATE
							, SND_X_DOC_CODE
							, SND_X_PLANT_CODE
							, SND_X_SHIPPING_DOCK_CODE
							, SND_X_DOCK_ARRIVAL_DATE
							, SND_X_DOCK_DEPART_DATE
							, SND_X_DOCK_ROUTE_GRP_CODE
							, SND_X_DOCK_SEQ_NO
							, SND_ROUTE_DATE
							, TRD_X_DOC_CODE
							, TRD_X_PLANT_CODE
							, TRD_X_SHIPPING_DOCK_CODE
							, TRD_X_DOCK_ARRIVAL_DATE
							, TRD_X_DOCK_DEPART_DATE
							, TRD_X_DOCK_ROUTE_GRP_CODE
							, TRD_X_DOCK_SEQ_NO
							, TRD_ROUTE_DATE
							, MANIFEST_PRN_POINT_CODE
							, MANIFEST_PRN_DATE_PLANT
							, MANIFEST_PRN_DATE_LOCAL
							, KNBN_PRN_POINT_CODE
							, KNBN_PRN_DATE_PLANT
							, KNBN_PRN_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DATE
							, FERRY_PORT_DEPART_DATE
							, STATUS_FLAG
							, CREATED_BY
							, CREATED_DT
							, FILENAME 
					FROM 
							TB_T_ORDERPLAN_TMP 
					WHERE     
							DOCK_CODE NOT IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
							AND RCV_PLANT_CODE = @RCV_PLANT_CODE


					--< INSERT TB_T_ORDERPLAN_TMP_NON_KCI FROM TB_T_ORDERPLAN_CUT (BULK INSERT)
					--> DELETE TB_T_ORDERPLAN_TMP BY RCV_PLANT_CODE
					--PRINT 'DELETE TB_T_ORDERPLAN_TMP BY RCV_PLANT_CODE'
					SELECT @ROW=COUNT(*) FROM TB_T_ORDERPLAN_TMP WHERE RCV_PLANT_CODE = @RCV_PLANT_CODE
					SET @MESSAGE='Delete TB_T_ORDERPLAN_TMP by plant code ='+CAST(@RCV_PLANT_CODE AS VARCHAR(10))+', '+ CAST(@ROW AS VARCHAR(100))+' row'
					PRINT @MESSAGE
					SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
					EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
					
					DELETE FROM TB_T_ORDERPLAN_TMP WHERE RCV_PLANT_CODE = @RCV_PLANT_CODE
					--< DELETE TB_T_ORDERPLAN_TMP BY RCV_PLANT_CODE
		END
		--> HOLD PROCESS
		IF (SELECT SYSTEM_VALUE FROM TB_M_SYSTEM WHERE SYSTEM_CD LIKE '%'+@RCV_PLANT_CODE+'_HOLD_FLAG' AND FUNCTION_ID=@FUNCTION_ID) ='N'
		BEGIN
			--amin
			UPDATE TB_R_DAILY_ORDER_INTERFACE_FILE SET StatusFlag = '1' where StatusFlag='0' and RCV_PLANT_CD = @RCV_PLANT_CODE
			--PRINT 'INSERT TB_T_ORDERPLAN_TMP_NON_KCI FROM TB_T_ORDERPLAN_CUT (BULK INSERT)'	
			SELECT @ROW=COUNT(*) 
			FROM 
					TB_T_ORDERPLAN_CUT 
			WHERE     
					DOCK_CODE NOT IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
					AND RCV_PLANT_CODE = @RCV_PLANT_CODE
					AND [ALREADY_INJECT]='I'

						--PRINT 'INSERT TB_T_ORDERPLAN_TMP_NON_KCI FROM TB_T_ORDERPLAN_CUT (BULK INSERT) BY @RCV_PLANT_CODE IF EXIST'
			SELECT @ROW=COUNT(*) 
			FROM 
					TB_T_ORDERPLAN_CUT 
			WHERE     
					DOCK_CODE NOT IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
					AND RCV_PLANT_CODE =@RCV_PLANT_CODE
					AND [ALREADY_INJECT]='I'
			SET @MESSAGE='Insert into TB_T_ORDERPLAN_TMP_KCI FROM TB_T_ORDERPLAN_CUT (bulk insert)'+ CAST(@ROW AS VARCHAR(100))+' row'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
					
			INSERT INTO TB_T_ORDERPLAN_TMP_KCI
						(
							  SUPPLIER_CODE
							, SUPPLIER_PLANT
							, SHIPPING_DOCK
							, COMPANY_CODE
							, RCV_PLANT_CODE
							, DOCK_CODE
							, ORDER_NO
							, CAR_FAMILY_CODE
							, RE_EXPORT_CODE
							, PART_NO
							, KNBN_PRN_ADDRESS
							, ORDER_TYPE
							, ORDER_RELEASE_DATE
							, ORDER_RELEASE_TIME
							, KNBN_NO
							, QTY_PER_CONTAINER
							, ORDER_PLAN_QTY
							, ORDER_PLAN_QTY_LOT
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PARTS_NAME
							, ORDER_MODE
							, SHIPPING_DATE
							, ARRIVAL_DATE
							, MR_GRP_CODE
							, MR_ORDER_SEQ
							, MR_DATE
							, SR_GRP_CODE
							, SR_SEQ
							, SR_DATE
							, FRST_X_DOC_CODE
							, FST_X_PLANT_CODE
							, FST_X_SHIPPING_DOCK_CODE
							, FST_X_DOCK_ARRIVAL_DATE
							, FST_X_DOCK_DEPART_DATE
							, FST_X_DOCK_ROUTE_GRP_CODE
							, FST_X_DOCK_SEQ_NO
							, FST_ROUTE_DATE
							, SND_X_DOC_CODE
							, SND_X_PLANT_CODE
							, SND_X_SHIPPING_DOCK_CODE
							, SND_X_DOCK_ARRIVAL_DATE
							, SND_X_DOCK_DEPART_DATE
							, SND_X_DOCK_ROUTE_GRP_CODE
							, SND_X_DOCK_SEQ_NO
							, SND_ROUTE_DATE
							, TRD_X_DOC_CODE
							, TRD_X_PLANT_CODE
							, TRD_X_SHIPPING_DOCK_CODE
							, TRD_X_DOCK_ARRIVAL_DATE
							, TRD_X_DOCK_DEPART_DATE
							, TRD_X_DOCK_ROUTE_GRP_CODE
							, TRD_X_DOCK_SEQ_NO
							, TRD_ROUTE_DATE
							, MANIFEST_PRN_POINT_CODE
							, MANIFEST_PRN_DATE_PLANT
							, MANIFEST_PRN_DATE_LOCAL
							, KNBN_PRN_POINT_CODE
							, KNBN_PRN_DATE_PLANT
							, KNBN_PRN_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DATE
							, FERRY_PORT_DEPART_DATE
							, STATUS_FLAG
							, CREATED_BY
							, CREATED_DT
							, FILENAME
						)
			SELECT 
							  SUPPLIER_CODE
							, SUPPLIER_PLANT
							, SHIPPING_DOCK
							, COMPANY_CODE
							, RCV_PLANT_CODE
							, DOCK_CODE
							, ORDER_NO
							, CAR_FAMILY_CODE
							, RE_EXPORT_CODE
							, PART_NO
							, KNBN_PRN_ADDRESS
							, ORDER_TYPE
							, ORDER_RELEASE_DATE
							, ORDER_RELEASE_TIME
							, KNBN_NO
							, QTY_PER_CONTAINER
							, ORDER_PLAN_QTY
							, ORDER_PLAN_QTY_LOT
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PARTS_NAME
							, ORDER_MODE
							, SHIPPING_DATE
							, ARRIVAL_DATE
							, MR_GRP_CODE
							, MR_ORDER_SEQ
							, MR_DATE
							, SR_GRP_CODE
							, SR_SEQ
							, SR_DATE
							, FRST_X_DOC_CODE
							, FST_X_PLANT_CODE
							, FST_X_SHIPPING_DOCK_CODE
							, FST_X_DOCK_ARRIVAL_DATE
							, FST_X_DOCK_DEPART_DATE
							, FST_X_DOCK_ROUTE_GRP_CODE
							, FST_X_DOCK_SEQ_NO
							, FST_ROUTE_DATE
							, SND_X_DOC_CODE
							, SND_X_PLANT_CODE
							, SND_X_SHIPPING_DOCK_CODE
							, SND_X_DOCK_ARRIVAL_DATE
							, SND_X_DOCK_DEPART_DATE
							, SND_X_DOCK_ROUTE_GRP_CODE
							, SND_X_DOCK_SEQ_NO
							, SND_ROUTE_DATE
							, TRD_X_DOC_CODE
							, TRD_X_PLANT_CODE
							, TRD_X_SHIPPING_DOCK_CODE
							, TRD_X_DOCK_ARRIVAL_DATE
							, TRD_X_DOCK_DEPART_DATE
							, TRD_X_DOCK_ROUTE_GRP_CODE
							, TRD_X_DOCK_SEQ_NO
							, TRD_ROUTE_DATE
							, MANIFEST_PRN_POINT_CODE
							, MANIFEST_PRN_DATE_PLANT
							, MANIFEST_PRN_DATE_LOCAL
							, KNBN_PRN_POINT_CODE
							, KNBN_PRN_DATE_PLANT
							, KNBN_PRN_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DATE
							, FERRY_PORT_DEPART_DATE
							, STATUS_FLAG
							, CREATED_BY
							, CREATED_DT
							, FILENAME
			FROM 
					TB_T_ORDERPLAN_CUT 
			WHERE     
					DOCK_CODE IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
					AND RCV_PLANT_CODE =@RCV_PLANT_CODE
					AND [ALREADY_INJECT]='I'		
			

			SET @MESSAGE='Insert into TB_T_ORDERPLAN_TMP_NON_KCI from TB_T_ORDERPLAN_CUT (bulk insert)  '+ CAST(@ROW AS VARCHAR(100))+' row'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
			
			INSERT INTO TB_T_ORDERPLAN_TMP_NON_KCI
						(
							  SUPPLIER_CODE
							, SUPPLIER_PLANT
							, SHIPPING_DOCK
							, COMPANY_CODE
							, RCV_PLANT_CODE
							, DOCK_CODE
							, ORDER_NO
							, CAR_FAMILY_CODE
							, RE_EXPORT_CODE
							, PART_NO
							, KNBN_PRN_ADDRESS
							, ORDER_TYPE
							, ORDER_RELEASE_DATE
							, ORDER_RELEASE_TIME
							, KNBN_NO
							, QTY_PER_CONTAINER
							, ORDER_PLAN_QTY
							, ORDER_PLAN_QTY_LOT
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PARTS_NAME
							, ORDER_MODE
							, SHIPPING_DATE
							, ARRIVAL_DATE
							, MR_GRP_CODE
							, MR_ORDER_SEQ
							, MR_DATE
							, SR_GRP_CODE
							, SR_SEQ
							, SR_DATE
							, FRST_X_DOC_CODE
							, FST_X_PLANT_CODE
							, FST_X_SHIPPING_DOCK_CODE
							, FST_X_DOCK_ARRIVAL_DATE
							, FST_X_DOCK_DEPART_DATE
							, FST_X_DOCK_ROUTE_GRP_CODE
							, FST_X_DOCK_SEQ_NO
							, FST_ROUTE_DATE
							, SND_X_DOC_CODE
							, SND_X_PLANT_CODE
							, SND_X_SHIPPING_DOCK_CODE
							, SND_X_DOCK_ARRIVAL_DATE
							, SND_X_DOCK_DEPART_DATE
							, SND_X_DOCK_ROUTE_GRP_CODE
							, SND_X_DOCK_SEQ_NO
							, SND_ROUTE_DATE
							, TRD_X_DOC_CODE
							, TRD_X_PLANT_CODE
							, TRD_X_SHIPPING_DOCK_CODE
							, TRD_X_DOCK_ARRIVAL_DATE
							, TRD_X_DOCK_DEPART_DATE
							, TRD_X_DOCK_ROUTE_GRP_CODE
							, TRD_X_DOCK_SEQ_NO
							, TRD_ROUTE_DATE
							, MANIFEST_PRN_POINT_CODE
							, MANIFEST_PRN_DATE_PLANT
							, MANIFEST_PRN_DATE_LOCAL
							, KNBN_PRN_POINT_CODE
							, KNBN_PRN_DATE_PLANT
							, KNBN_PRN_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DATE
							, FERRY_PORT_DEPART_DATE
							, STATUS_FLAG
							, CREATED_BY
							, CREATED_DT
							, FILENAME
						)
			SELECT  
							  SUPPLIER_CODE
							, SUPPLIER_PLANT
							, SHIPPING_DOCK
							, COMPANY_CODE
							, RCV_PLANT_CODE
							, DOCK_CODE
							, ORDER_NO
							, CAR_FAMILY_CODE
							, RE_EXPORT_CODE
							, PART_NO
							, KNBN_PRN_ADDRESS
							, ORDER_TYPE
							, ORDER_RELEASE_DATE
							, ORDER_RELEASE_TIME
							, KNBN_NO
							, QTY_PER_CONTAINER
							, ORDER_PLAN_QTY
							, ORDER_PLAN_QTY_LOT
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PARTS_NAME
							, ORDER_MODE
							, SHIPPING_DATE
							, ARRIVAL_DATE
							, MR_GRP_CODE
							, MR_ORDER_SEQ
							, MR_DATE
							, SR_GRP_CODE
							, SR_SEQ
							, SR_DATE
							, FRST_X_DOC_CODE
							, FST_X_PLANT_CODE
							, FST_X_SHIPPING_DOCK_CODE
							, FST_X_DOCK_ARRIVAL_DATE
							, FST_X_DOCK_DEPART_DATE
							, FST_X_DOCK_ROUTE_GRP_CODE
							, FST_X_DOCK_SEQ_NO
							, FST_ROUTE_DATE
							, SND_X_DOC_CODE
							, SND_X_PLANT_CODE
							, SND_X_SHIPPING_DOCK_CODE
							, SND_X_DOCK_ARRIVAL_DATE
							, SND_X_DOCK_DEPART_DATE
							, SND_X_DOCK_ROUTE_GRP_CODE
							, SND_X_DOCK_SEQ_NO
							, SND_ROUTE_DATE
							, TRD_X_DOC_CODE
							, TRD_X_PLANT_CODE
							, TRD_X_SHIPPING_DOCK_CODE
							, TRD_X_DOCK_ARRIVAL_DATE
							, TRD_X_DOCK_DEPART_DATE
							, TRD_X_DOCK_ROUTE_GRP_CODE
							, TRD_X_DOCK_SEQ_NO
							, TRD_ROUTE_DATE
							, MANIFEST_PRN_POINT_CODE
							, MANIFEST_PRN_DATE_PLANT
							, MANIFEST_PRN_DATE_LOCAL
							, KNBN_PRN_POINT_CODE
							, KNBN_PRN_DATE_PLANT
							, KNBN_PRN_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DATE
							, FERRY_PORT_DEPART_DATE
							, STATUS_FLAG
							, CREATED_BY
							, CREATED_DT
							, FILENAME
			FROM 
					TB_T_ORDERPLAN_CUT 
			WHERE     
					DOCK_CODE NOT IN (SELECT * FROM @TB_T_DOCK_CODE_KCI) 
					AND RCV_PLANT_CODE = @RCV_PLANT_CODE
					AND [ALREADY_INJECT]='I'			
			--< INSERT TB_T_ORDERPLAN_TMP_NON_KCI FROM TB_T_ORDERPLAN_CUT (BULK INSERT)			
			
			-->SET TB_T_ORDERPLAN_CUT [ALREADY_INJECT]=Y
			SELECT @ROW=COUNT(*) FROM TB_T_ORDERPLAN_CUT WHERE RCV_PLANT_CODE =@RCV_PLANT_CODE AND [ALREADY_INJECT]='I'
			SET @MESSAGE='Update TB_T_ORDERPLAN_CUT set already inject= Y,  '+ CAST(@ROW AS VARCHAR(100))+' row'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
			
			
			UPDATE TB_T_ORDERPLAN_CUT 
			SET [ALREADY_INJECT]='Y'
			WHERE   				
					RCV_PLANT_CODE =@RCV_PLANT_CODE
					AND [ALREADY_INJECT]='I'			
			
			--< SET TB_T_ORDERPLAN_CUT [ALREADY_INJECT]=Y
			
			--> EXEC sp_NES_DailyProcurement_ImportOrder
			SET @MESSAGE='Execute sp_NES_DailyProcurement_ImportOrder'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;

			
			DECLARE	@return_value int

			EXEC	@return_value = [dbo].[sp_NES_DailyProcurement_ImportOrder]
					@CREATED_BY = N'NES'
			SELECT	'Return Value' = @return_value
			
			--< EXEC sp_NES_DailyProcurement_ImportOrder
			
			
			--> EXEC MANIFEST_CREATION 			
			SET @MESSAGE='Execute MANIFEST_CREATION'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;
			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
			--amin
			DELETE TB_T_DAILY_ORDER_MANIFEST WHERE RCV_PLANT_CD = @RCV_PLANT_CODE
			DELETE TB_T_DAILY_ORDER_PART WHERE RCV_PLANT_CD = @RCV_PLANT_CODE
			
			EXEC SP_MANIFEST_CREATION @RCV_PLANT_CODE,@PROCESS_ID,@MESSAGE_ID,@MESSAGE_TYPE,@LOCATION,@SEQ_NO_LOG,@LAST_SEQ_NO_LOG OUTPUT
		    
		    SET @SEQ_NO_LOG = @LAST_SEQ_NO_LOG
		    --< EXEC MANIFEST_CREATION'

			--> EXEC [KCI_SP_MOD_ORDER_PLAN_KNBN_SHUTTER_PART] 
			SET @MESSAGE='Execute KCI_SP_MOD_ORDER_PLAN_KNBN_SHUTTER_PART'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
		    
			--ADDED 02-03-2015--
			--DELAY--
			--WAITFOR DELAY '00:01:00'

			
			EXEC KCI_SP_MOD_ORDER_PLAN_KNBN_SHUTTER_PART @PO_RESULT_STATUS, @PO_RETURN_CODE
			--< EXEC [KCI_SP_MOD_ORDER_PLAN_KNBN_SHUTTER_PART] 
			
			
			--> DELETE TB_T_DAILY_ORDER_WEB BY PLAN CODE
			SELECT @ROW=COUNT(*) FROM TB_T_DAILY_ORDER_WEB WHERE RCV_PLANT_CD = @RCV_PLANT_CODE
			SET @MESSAGE='Delete TB_T_DAILY_ORDER_WEB by plan code='+ CAST(@RCV_PLANT_CODE AS VARCHAR(10))+','+ CAST(@ROW AS VARCHAR(100))+' ROW'
			
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;

			--amin
			DELETE TB_T_DAILY_ORDER_WEB WHERE RCV_PLANT_CD = @RCV_PLANT_CODE
			
			--< DELETE TB_T_DAILY_ORDER_WEB BY PLAN CODE
			
			
			--> INSERT TB_T_DAILY_ORDER_WEB			
			SELECT @ROW=COUNT(*)
			FROM
					(
					SELECT  
						CREATED_DT,					--1
						ORDER_TYPE,					--2
						SUPPLIER_CD,				--3
						SUPPLIER_PLANT,				--4
						MAX(DOCK_CD) MAX_DOCK_CD,				--5
						RCV_PLANT_CD,				--6
						COUNT (case 
								when TOTAL_QTY<>0 then MANIFEST_NO 
								else null end ) COUNT_TOTAL_QTY,	--7
						SUM(TOTAL_QTY) TOTAL_QTY,				--8
						'AGENT' CREATED_BY,					--9
						GETDATE() CREATED_DATE,					--10
						'0' AS FTP_FLAG				--11
						--(case 
						--	when '1' IN('0','1') then 'X' 
						--	else '0' end)			--11
							
					FROM TB_T_DAILY_ORDER_MANIFEST WITH(NOLOCK)
					WHERE 
						CREATED_DT=@TODAY 
						AND ORDER_TYPE='1' 
						AND RCV_PLANT_CD=@RCV_PLANT_CODE 
						--AND	SUPPLIER_CD=@SUPPLIER_CD_WEB 
						--AND	SUPPLIER_PLANT=@SUPPLIER_PLANT_WEB
					GROUP BY 
						CREATED_DT,
						ORDER_TYPE,
						SUPPLIER_CD,
						SUPPLIER_PLANT,
						RCV_PLANT_CD
					)  AS A
					
			SET @MESSAGE='Insert into TB_T_DAILY_ORDER_WEB (bulk insert) '+CAST(@ROW AS VARCHAR(1000))+' row'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
		    INSERT INTO TB_T_DAILY_ORDER_WEB
			(
				ORDER_RELEASE_DT,			--1 
				ORDER_TYPE,					--2 
				SUPPLIER_CD,				--3
				SUPPLIER_PLANT_CD,			--4
				DOCK_CD,					--5
				RCV_PLANT_CD,				--6
				TOTAL_MANIFEST,				--7
				ORDER_PLAN_QTY,				--8
				CREATED_BY,					--9
				CREATED_DT,					--10
				FTP_FLAG					--11
			)
		
			SELECT 
				--CREATED_DT,					--1
				CONVERT(VARCHAR(8), CREATED_DT, 112),
				ORDER_TYPE,					--2
				SUPPLIER_CD,				--3
				SUPPLIER_PLANT,				--4
				MAX(DOCK_CD),				--5
				RCV_PLANT_CD,				--6
				COUNT (case 
						when TOTAL_QTY<>0 then MANIFEST_NO 
						else null end ),	--7
				SUM(TOTAL_QTY),				--8
				'AGENT',					--9
				GETDATE(),					--10
				'0' AS FTP_FLAG				--11
				--(case 
				--	when '1' IN('0','1') then 'X' 
				--	else '0' end)			--11
					
			FROM TB_T_DAILY_ORDER_MANIFEST WITH(NOLOCK)
			WHERE 
				--CREATED_DT=@TODAY
				CONVERT(VARCHAR(8), CREATED_DT, 112)=CONVERT(VARCHAR(8), GETDATE(), 112) 
				AND ORDER_TYPE='1' 
				AND RCV_PLANT_CD=@RCV_PLANT_CODE 
				--AND	SUPPLIER_CD=@SUPPLIER_CD_WEB 
				--AND	SUPPLIER_PLANT=@SUPPLIER_PLANT_WEB
			GROUP BY 
				--CREATED_DT,
				CONVERT(VARCHAR(8), CREATED_DT, 112),
				ORDER_TYPE,
				SUPPLIER_CD,
				SUPPLIER_PLANT,
				RCV_PLANT_CD
				
				
			--PRINT 'TB_R_DAILY_ORDER_MANIFEST'
			--> INSERT TB_R_DAILY_ORDER_MANIFEST
			SELECT @ROW=COUNT(*) FROM TB_R_DAILY_ORDER_MANIFEST WHERE RCV_PLANT_CD=@RCV_PLANT_CODE
			SET @MESSAGE='Insert into TB_R_DAILY_ORDER_MANIFEST '+CAST(@ROW AS VARCHAR(1000))+' row'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
		   
		    INSERT INTO TB_R_DAILY_ORDER_MANIFEST
						(
							 MANIFEST_NO
							, ORDER_NO
							, SUPPLIER_CD
							, SUPPLIER_PLANT
							, ORDER_TYPE
							, ORDER_RELEASE_DT
							, COMPANY_CD
							, RCV_PLANT_CD
							, DOCK_CD
							, CAR_FAMILY_CD
							, RE_EXPORT_CD
							, TOTAL_ITEM
							, TOTAL_QTY
							, ERROR_QTY
							, ARRIVAL_PLAN_DT
							, ARRIVAL_ACTUAL_DT
							, DELAY_FLAG
							, MANIFEST_RECEIVE_FLAG
							, PROBLEM_FLAG
							, IS_ZIPED
							, PO_NO
							, GR_DOCUMENT_NO
							, GR_DOCUMENT_DT
							, GR_SLIP_DOCUMENT_NO
							, GR_SLIP_DT
							, SCAN_DT
							, APPROVED_DT
							, MAT_DOC_NO
							, MAT_DOC_YEAR
							, ICS_FLAG
							, ICS_DT
							, NOTICE_ID
							, SHIPPING_DOCK
							, SHIPPING_DT
							, CANCEL_FLAG
							, PRINT_FLAG
							, PRINT_DATE
							, PRINTED_BY
							, RECEIVE_FLAG
							, RECEIVE_DT
							, USAGE_FLAG
							, USAGE_DT
							, DELETION_FLAG
							, DELETION_DT
							, DROP_STATUS_FLAG
							, DROP_STATUS_DT
							, TOTAL_PAGE
							, FILENAME
							, CONVEYANCE_ROUTE
							, MANIFEST_PRINT_POINT_CD
							, MANIFEST_PRINT_DATE_PLANT
							, MANIFEST_PRINT_DATE_LOCAL
							, P_LANE_CD
							, P_LANE_SEQ
							, P_LANE_DT
							, SUB_ROUTE_CD
							, SUB_ROUTE_SEQ
							, SUB_ROUTE_DT
							, FST_X_DOC_CD
							, FST_X_PLANT_CD
							, FST_X_SHIPPING_DOCK_CD
							, FST_X_DOCK_ARRIVAL_DT
							, FST_X_DOCK_DEPART_DT
							, FST_X_DOCK_ROUTE_GRP_CD
							, FST_X_DOCK_SEQ_NO
							, FST_X_ROUTE_DT
							, SND_X_DOC_CD
							, SND_X_PLANT_CD
							, SND_X_SHIPPING_DOCK_CD
							, SND_X_DOCK_ARRIVAL_DT
							, SND_X_DOCK_DEPART_DT
							, SND_X_DOCK_ROUTE_GRP_CD
							, SND_X_DOCK_SEQ_NO
							, SND_X_ROUTE_DT
							, TRD_X_DOC_CD
							, TRD_X_PLANT_CD
							, TRD_X_SHIPPING_DOCK_CD
							, TRD_X_DOCK_ARRIVAL_DT
							, TRD_X_DOCK_DEPART_DT
							, TRD_X_DOCK_ROUTE_GRP_CD
							, TRD_X_DOCK_SEQ_NO
							, TRD_X_ROUTE_DT
							, PAT_DP_FLAG
							, PAT_PL_FLAG
							, CREATED_BY
							, CREATED_DT
							, CHANGED_BY
							, CHANGED_DT
							, INVOICE_NO
							, INVOICE_DT
							, INVOICE_BY
							, POSTING_DT
							, POSTING_BY
							, CANCEL_BY
							, CANCEL_DT
							, APPROVED_BY
							, FTP_FLAG
							, IN_PROGRESS
							, DOWNLOAD_FLAG
							, DOWNLOADED_BY
							, DOWNLOADED_DT
							, PROCESS_FLAG
						)
			SELECT  
							  MANIFEST_NO
							, ORDER_NO
							, SUPPLIER_CD
							, SUPPLIER_PLANT
							, ORDER_TYPE
							, ORDER_RELEASE_DT
							, COMPANY_CD
							, RCV_PLANT_CD
							, DOCK_CD
							, CAR_FAMILY_CD
							, RE_EXPORT_CD
							, TOTAL_ITEM
							, TOTAL_QTY
							, ERROR_QTY
							, ARRIVAL_PLAN_DT
							, ARRIVAL_ACTUAL_DT
							, DELAY_FLAG
							, MANIFEST_RECEIVE_FLAG
							, PROBLEM_FLAG
							, IS_ZIPED
							, PO_NO
							, GR_DOCUMENT_NO
							, GR_DOCUMENT_DT
							, GR_SLIP_DOCUMENT_NO
							, GR_SLIP_DT
							, SCAN_DT
							, APPROVED_DT
							, MAT_DOC_NO
							, MAT_DOC_YEAR
							, ICS_FLAG
							, ICS_DT
							, NOTICE_ID
							, SHIPPING_DOCK
							, SHIPPING_DT
							, CANCEL_FLAG
							, PRINT_FLAG
							, PRINT_DATE
							, PRINTED_BY
							, RECEIVE_FLAG
							, RECEIVE_DT
							, USAGE_FLAG
							, USAGE_DT
							, DELETION_FLAG
							, DELETION_DT
							, DROP_STATUS_FLAG
							, DROP_STATUS_DT
							, TOTAL_PAGE
							, FILENAME
							, CONVEYANCE_ROUTE
							, MANIFEST_PRINT_POINT_CD
							, MANIFEST_PRINT_DATE_PLANT
							, MANIFEST_PRINT_DATE_LOCAL
							, P_LANE_CD
							, P_LANE_SEQ
							, P_LANE_DT
							, SUB_ROUTE_CD
							, SUB_ROUTE_SEQ
							, SUB_ROUTE_DT
							, FST_X_DOC_CD
							, FST_X_PLANT_CD
							, FST_X_SHIPPING_DOCK_CD
							, FST_X_DOCK_ARRIVAL_DT
							, FST_X_DOCK_DEPART_DT
							, FST_X_DOCK_ROUTE_GRP_CD
							, FST_X_DOCK_SEQ_NO
							, FST_X_ROUTE_DT
							, SND_X_DOC_CD
							, SND_X_PLANT_CD
							, SND_X_SHIPPING_DOCK_CD
							, SND_X_DOCK_ARRIVAL_DT
							, SND_X_DOCK_DEPART_DT
							, SND_X_DOCK_ROUTE_GRP_CD
							, SND_X_DOCK_SEQ_NO
							, SND_X_ROUTE_DT
							, TRD_X_DOC_CD
							, TRD_X_PLANT_CD
							, TRD_X_SHIPPING_DOCK_CD
							, TRD_X_DOCK_ARRIVAL_DT
							, TRD_X_DOCK_DEPART_DT
							, TRD_X_DOCK_ROUTE_GRP_CD
							, TRD_X_DOCK_SEQ_NO
							, TRD_X_ROUTE_DT
							, PAT_DP_FLAG
							, PAT_PL_FLAG
							, CREATED_BY
							--, CREATED_DT
							, CONVERT(VARCHAR(8), CREATED_DT, 112)
							, CHANGED_BY
							, CHANGED_DT
							, INVOICE_NO
							, INVOICE_DT
							, INVOICE_BY
							, POSTING_DT
							, POSTING_BY
							, CANCEL_BY
							, CANCEL_DT
							, APPROVED_BY
							, FTP_FLAG
							, IN_PROGRESS
							, DOWNLOAD_FLAG
							, DOWNLOADED_BY
							, DOWNLOADED_DT
							, PROCESS_FLAG
			FROM TB_T_DAILY_ORDER_MANIFEST WHERE RCV_PLANT_CD=@RCV_PLANT_CODE
		    --< INSERT TB_T_DAILY_ORDER_MANIFEST
		    
		    --> INSERT TB_R_DAILY_ORDER_PART
		    SELECT @ROW=COUNT(*) FROM TB_R_DAILY_ORDER_PART WHERE RCV_PLANT_CD=@RCV_PLANT_CODE
			SET @MESSAGE='Insert into TB_R_DAILY_ORDER_MANIFEST '+CAST(@ROW AS VARCHAR(1000))+' row'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
		
		    INSERT INTO TB_R_DAILY_ORDER_PART
						(
							 MANIFEST_NO
							, ITEM_NO
							, SUPPLIER_PLANT
							, RCV_PLANT_CD
							, DOCK_CD
							, PART_NO
							, KANBAN_PRINT_ADDRESS
							, KANBAN_NO
							, QTY_PER_CONTAINER
							, ORDER_QTY
							, ORDER_PLAN_QTY_LOT
							, RECEIVED_STATUS
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PART_NAME
							, ORDER_MODE
							, KANBAN_PRINT_POINT_CD
							, KANBAN_PRINT_DATE_PLANT
							, KANBAN_PRINT_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DT
							, FERRY_PORT_DEPART_DT
							, EKBS_FLAG
							, EKBS_DT
							, PACKAGE_TYPE
							, RECEIVE_PLANT_NAME
							, SUPPLIER_INFO1
							, SUPPLIER_INFO2
							, SUPPLIER_INFO3
							, PRINT_CD
							, IMPORTIR_INFO
							, IMPORTIR_INFO2
							, IMPORTIR_INFO3
							, IMPORTIR_INFO4
							, CREATED_BY
							, CREATED_DT
							, CHANGED_BY
							, CHANGED_DT
							, PART_BARCODE
							, POSTING_STS
							, CASE_NO
							, MOD_DST_CD
							, BOX_NO
							, PLN_PCK_DT
							, CONT_SNO
							, PROCESS_TYPE
							, LOT_MOD_NO
						)
		    SELECT 
							 MANIFEST_NO
							, ITEM_NO
							, SUPPLIER_PLANT
							, RCV_PLANT_CD
							, DOCK_CD
							, PART_NO
							, KANBAN_PRINT_ADDRESS
							, KANBAN_NO
							, QTY_PER_CONTAINER
							, ORDER_QTY
							, ORDER_PLAN_QTY_LOT
							, RECEIVED_STATUS
							, BUILD_OUT_FLAG
							, BUILD_OUT_QTY
							, AICO_CEPT_FLAG
							, SUPPLIER_NAME
							, PART_NAME
							, ORDER_MODE
							, KANBAN_PRINT_POINT_CD
							, KANBAN_PRINT_DATE_PLANT
							, KANBAN_PRINT_DATE_LOCAL
							, CONVEYANCE_ROUTE
							, FERRY_PORT_ARRIVAL_DT
							, FERRY_PORT_DEPART_DT
							, EKBS_FLAG
							, EKBS_DT
							, PACKAGE_TYPE
							, RECEIVE_PLANT_NAME
							, SUPPLIER_INFO1
							, SUPPLIER_INFO2
							, SUPPLIER_INFO3
							, PRINT_CD
							, IMPORTIR_INFO
							, IMPORTIR_INFO2
							, IMPORTIR_INFO3
							, IMPORTIR_INFO4
							, CREATED_BY
							, CREATED_DT
							, CHANGED_BY
							, CHANGED_DT
							, PART_BARCODE
							, POSTING_STS
							, CASE_NO
							, MOD_DST_CD
							, BOX_NO
							, PLN_PCK_DT
							, CONT_SNO
							, PROCESS_TYPE
							, LOT_MOD_NO
		    FROM TB_T_DAILY_ORDER_PART WHERE RCV_PLANT_CD=@RCV_PLANT_CODE
		    --< INSERT TB_T_DAILY_ORDER_PART
		    
		    --> INSERT TB_R_DAILY_ORDER_WEB
		    SELECT @ROW=COUNT(*) FROM TB_R_DAILY_ORDER_WEB WHERE RCV_PLANT_CD=@RCV_PLANT_CODE
			SET @MESSAGE='Insert into TB_R_DAILY_ORDER_MANIFEST '+CAST(@ROW AS VARCHAR(1000))+' row'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;

		    INSERT INTO TB_R_DAILY_ORDER_WEB
						(
							  ORDER_RELEASE_DT
							, ORDER_TYPE
							, SUPPLIER_CD
							, SUPPLIER_PLANT_CD
							, RCV_PLANT_CD
							, DOCK_CD
							, TOTAL_MANIFEST
							, ORDER_PLAN_QTY
							, REMAINING_QTY
							, DOWNLOAD_FLAG
							, REPLY_CAPABILITY
							, LOCK_STATUS
							, REPLIED_BY
							, REPLIED_DT
							, DOWNLOADED_BY
							, DOWNLOADED_DT
							, CREATED_BY
							, CREATED_DT
							, CHANGED_BY
							, CHANGED_DT
							, FTP_FLAG
						)
		    SELECT
							  ORDER_RELEASE_DT
							, ORDER_TYPE
							, SUPPLIER_CD
							, SUPPLIER_PLANT_CD
							, RCV_PLANT_CD
							, DOCK_CD
							, TOTAL_MANIFEST
							, ORDER_PLAN_QTY
							, REMAINING_QTY
							, DOWNLOAD_FLAG
							, REPLY_CAPABILITY
							, LOCK_STATUS
							, REPLIED_BY
							, REPLIED_DT
							, DOWNLOADED_BY
							, DOWNLOADED_DT
							, CREATED_BY
							, CREATED_DT
							, CHANGED_BY
							, CHANGED_DT
							, FTP_FLAG
		    FROM
		    TB_T_DAILY_ORDER_WEB WHERE RCV_PLANT_CD=@RCV_PLANT_CODE
		    --> INSERT TB_R_DAILY_ORDER_WEB
		    
		    --> SET PROCESS = N
		    SET @MESSAGE='Update process flag=N'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;

		    PRINT @MESSAGE
		    UPDATE [TB_M_SYSTEM] SET SYSTEM_VALUE='N' WHERE FUNCTION_ID=@FUNCTION_ID AND [SYSTEM_CD] LIKE '%'+@RCV_PLANT_CODE+'_PROCESS_FLAG'   
			--< SET PROCESS = N
			
		
		END
		
		ELSE
		BEGIN
			--> INSERT LOG HOLD=Y
			--PRINT 'HOLD PROCESS Y'
			SET @MESSAGE='Hold Process is Y'
			PRINT @MESSAGE
			SET @SEQ_NO_LOG = @SEQ_NO_LOG+1;			
			EXEC dbo.SPInsertLogDetail @PROCESS_ID,	@MESSAGE_ID,@MESSAGE_TYPE, @MESSAGE, @LOCATION, 'SYSTEM', @SEQ_NO_LOG;
			--< INSERT LOG HOLD=Y
		END
		
		--< HOLD PROCESS
	--	COMMIT TRANSACTION


	

	END TRY
	BEGIN CATCH		 
		 PRINT ERROR_NUMBER()
		 PRINT ERROR_MESSAGE()	
		 PRINT ERROR_LINE()
		 PRINT ERROR_STATE()		 	
	--	 ROLLBACK TRANSACTION				
	END CATCH
	  
END

